Bug 443739 - [Wayland] Numlock turns off when I apply any change in Keyboard KCM
Summary: [Wayland] Numlock turns off when I apply any change in Keyboard KCM
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_keyboard (show other bugs)
Version: 5.23.0
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-14 19:24 UTC by Patrick Silva
Modified: 2022-02-15 19:27 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.23.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2021-10-14 19:24:55 UTC
STEPS TO REPRODUCE
1. use Wayland session
2. make sure numlock of your keyboard is on 
3. open Keyboard KCM in System Settings
4. change any setting in 'Hardware' tab
5. apply the change

OBSERVED RESULT
numlock turns off after applying the change

EXPECTED RESULT
numlock state should not change when we apply changes in Keyboard KCM

SOFTWARE/OS VERSION
Operating System: Arch Linux
KDE Plasma Version: 5.23.0
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.2
Graphics Platform: Wayland
Comment 1 Nate Graham 2021-10-14 22:36:35 UTC
Do you see this in git master too, or only in Plasma 5.23?
Comment 2 Patrick Silva 2021-10-15 00:15:37 UTC
Can reproduce on neon unstable too.
Comment 3 Nate Graham 2021-10-15 15:31:02 UTC
Darn, thanks.
Comment 4 Andrey 2021-10-15 22:11:29 UTC
The same maybe apply to other Locks - CapsLock etc.?
Comment 5 Patrick Silva 2021-10-15 22:51:02 UTC
Ccaps lock is also affected, scroll lock does not work at all even on X11.
Tested on Arch Linux.
Comment 6 Bug Janitor Service 2021-10-25 22:27:26 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/1566
Comment 7 Andrey 2021-10-25 23:17:19 UTC
I appreciate if you test LEDs in the fix as I don't have ones.
Comment 8 Nate Graham 2021-10-26 15:49:24 UTC
Git commit be35ef6a9a812052910066bed2005a2b3bb92ec4 by Nate Graham, on behalf of Andrey Butirsky.
Committed on 26/10/2021 at 15:48.
Pushed by ngraham into branch 'master'.

[keyboard kcm] fix lost Locks state on keymap reconfigure

Fixes Num/Caps Locks (do we need Scroll also?)

M  +28   -11   src/xkb.cpp

https://invent.kde.org/plasma/kwin/commit/be35ef6a9a812052910066bed2005a2b3bb92ec4
Comment 9 Nate Graham 2021-10-26 15:50:04 UTC
Git commit 451bc8dc248d9eef14af6834d3dfd52040472675 by Nate Graham, on behalf of Andrey Butirsky.
Committed on 26/10/2021 at 15:49.
Pushed by ngraham into branch 'Plasma/5.23'.

[keyboard kcm] fix lost Locks state on keymap reconfigure

Fixes Num/Caps Locks (do we need Scroll also?)


(cherry picked from commit be35ef6a9a812052910066bed2005a2b3bb92ec4)

M  +28   -11   src/xkb.cpp

https://invent.kde.org/plasma/kwin/commit/451bc8dc248d9eef14af6834d3dfd52040472675